Bug 10723 - Allow netr_ServerReqChallenge() and netr_ServerAuthenticate3() on different connections
Allow netr_ServerReqChallenge() and netr_ServerAuthenticate3() on different c...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-17 12:24 UTC by Stefan Metzmacher
Modified: 2014-09-01 19:14 UTC (History)
1 user (show)

See Also:


Attachments
Patches for v4-1-test (61.87 KB, patch)
2014-07-19 12:47 UTC, Stefan Metzmacher
jra: review+
metze: review? (abartlet)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-07-17 12:24:23 UTC
Some clients call netr_ServerReqChallenge() and netr_ServerAuthenticate3()
on different connections. This works against Windows DCs as they
have a global challenge table.

A VMware provisioning task for Windows VMs seemy to rely on this behavior.
Comment 1 Stefan Metzmacher 2014-07-19 12:47:35 UTC
Created attachment 10129 [details]
Patches for v4-1-test
Comment 2 Jeremy Allison 2014-07-23 00:27:21 UTC
Comment on attachment 10129 [details]
Patches for v4-1-test

LGTM.
Comment 3 Jeremy Allison 2014-07-23 00:27:46 UTC
Re-assigning to Karolin for inclusion in 4.1.next.
Comment 4 Karolin Seeger 2014-08-03 18:34:51 UTC
Pushed to autobuild-v4-1-test.
Comment 5 Karolin Seeger 2014-09-01 19:14:41 UTC
(In reply to comment #4)
> Pushed to autobuild-v4-1-test.

Pushed to v4-1-test.
Closing out bug report.

Thanks!